<? if ( ! $this->is_ajax ): ?>
<style>
    
.triangle-right.left:after {
    border-color: rgba(0, 0, 0, 0) #0c8dcf;
    border-width: 13px 20px 0 0;
    bottom: auto;
    left: -20px;
    top: 16px;
}
.triangle-right:after {
    border-color: #0c8dcf rgba(0, 0, 0, 0);
    border-style: solid;
    border-width: 20px 0 0 20px;
    bottom: -20px;
    content: "";
    display: block;
    left: 50px;
    position: absolute;
    width: 0;
}
.triangle-right.left {
    background: none repeat scroll 0 0 #0c8dcf;
    margin-left: 20px;
}
.triangle-right {
    background: linear-gradient(#2E88C4, #0c8dcf) repeat scroll 0 0 rgba(0, 0, 0, 0);
    border-radius: 10px;
    color: #FFFFFF;
    margin: 0px 0 10px 0;
    padding: 15px;
    position: relative;
    width: 280px;
}

.triangle-right.right:after {
    border-color: rgba(0, 0, 0, 0) #E9E9E9;
    border-width: 13px 0 0 20px;
    bottom: auto;
    left: auto;
    right: -20px;
    top: 16px;
}
.triangle-right.right {
    background: none repeat scroll 0 0 #E9E9E9;
    margin-right: 20px;
    float: right;
    color: #000;
}

#read-thread {}

#read-thread .messages {
    background: #202020;
    max-height: 300px;
    overflow-y: scroll; 
    padding: 5px;
    border-top: 1px solid #646666;
}

#read-thread .messages .info {
    margin: 0 20px 5px 20px;
}
#read-thread .messages .info.left { float: left; }
#read-thread .messages .info.right { float: right; }
#read-thread .messages .info p { float: left; }
#read-thread .messages .info p.name { margin: 0 5px 0 0; color: #2E88C4; }
#read-thread .messages .info p.date { color: #fff; }

#read-thread .send-msg { 
   background: #3a3a3d;
   border-top: 1px solid #646666;
   padding: 10px;
}

#read-thread .send-msg textarea {
    display: inline-block;
    width: 330px;
    border: none;
    resize: none;
    font-size: 12px;
    border-radius: 5px;
    padding: 5px;
    margin: 0 10px 0 0;
    border: 1px solid #646666;
    background: #1e1e21;
    color: #a2a2a2;
} 

#read-thread .send-msg .send-msg-btn {
    display: inline-block;
    width: 104px;
    height: 42px;
    background: url(../img/btn_send_ebsms.png) no-repeat;
    cursor: pointer;
}

#read-thread .phone-number-txt {
    color: #a2a2a2;
    margin: 10px 0 0 0;
}
.delivered{
    position: absolute;
    right: 2px;
    bottom: 0;
    height: 30px;
    background-image: url("/img/cubix-button/icons/accept.png");
    padding-left: 20px;
    background-position: 0 50%;
    background-repeat: no-repeat;
}

</style>

<form class="form-common" action="<?= $this->baseUrl() ?>/ebsms/index/read-thread" method="post" class="form" id="read-thread">
    <div class="messages">
<? endif; ?>

        <? if(count($this->thread)): ?>
            <? foreach( $this->thread AS $msg ): ?>
                <div class="info <?= ($msg->dest == "YOU") ? 'left' : 'right' ?>">
                    <p class="name"><?= ($msg->dest == "YOU") ? $msg->showname : $msg->sales_person ?></p>
                    <p class="date"><?= date("d M Y H:i", $msg->date) ?></p>
                </div>
                <div class="clear"></div>
                <div class="triangle-right <?= ($msg->dest == "YOU") ? 'left' : 'right' ?>"><?= $msg->text ?>
                    <? if($msg->is_delivered):?>
                        <div class="delivered"></div>
                    <? endif;?>
                </div>
                <div class="clear"></div>
            <? endforeach; ?>
        <? endif; ?>
        <div class="clear"></div>

<? if ( ! $this->is_ajax ): ?>
    </div>

    <div class="send-msg">

         <? if ($this->temlates): ?>
            <div class="inner">
                <label for="templates" style="color: #a2a2a2;">Templates</label>
                <select name="template" id="ebsms_template">
                    <option value="">--- Use Template ---&nbsp;&nbsp;</option>
                    <? foreach ($this->temlates as $template): ?>
                        <option value="<?= $template->id ?>"><?= $template->title ?></option>
                    <? endforeach; ?>
                </select>
            </div>

            <div class="clear"></div>
        <? endif; ?>

        <textarea id="text" class="text-msg" name="text"></textarea>
        <a class="send-msg-btn"></a>

        <div class="phone-number-txt">Phone: <?= $this->phone_number ?></div>
    </div>

    <input type="hidden" name="phone_number" value="<?= $this->phone_number ?>" />
    <input type="hidden" name="id" value="<?= $this->id ?>" />
</form>
<? endif; ?>